%define module	ptrace
%define name	python-%{module}
%define version	0.6.2
%define release	%mkrel 3

Summary:        Python binding of the ptrace library
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Development/Python
License:        GPLv2
URL:            http://python-ptrace.hachoir.org/trac/
Source:         http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildArch:      noarch
BuildRequires:	python-devel >= 2.4

%description
python-ptrace is a Python binding of the ptrace library with the
following features:

* High level Python object API: PtraceDebugger and PtraceProcess
* Ability to control multiple processes; can catch fork events on Linux
* Can read/write bytes to arbitrary address; takes care of memory alignment
  and split bytes to cpu word
* Step-by-step execution using ptrace_singlestep() or hardware interruption 3
* Can use distorm disassembler
* Can dump registers, memory mappings, stack, etc.
* Provides system call tracer and parser (strace command)

%prep
%setup -q -n %{name}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot}

%check
python ./test_doc.py

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
/*

%changelog
* Sun Aug 11 2013 billybot <billybot>
- update

* Thu Sep 02 2010 Texstar <texstar at gmail.com>
- rebuild for python 2.6.6

* Tue Aug 17 2010 pcserver <pcserver at hush.com> 0.6.2-1pclos2010
- update package

